PT BIA - Support #1848

[Time to Payroll] - Premi Basis Panen
11/29/2022 05:06 PM - fernando sergio rumbayan

Status: QA Test Start date: 11/29/2022
Priority: Urgent Due date: 12/02/2022
Assignee: fernando sergio rumbayan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mba Yomma,

Mohon dibantu untuk dibuatkan TM to Payroll dengan kondisi

1. Membaca MD CUSPYDATAPREMIPANEN.

2. Tabel Tarif CTARIFBJRPEMANEN untuk masing-masing tipe dengan field Tipe dan FieldName
Perhitungan akan menjumlahkan data di MD dan dikalikan dengan tarif sesuai Perhitungannya.

3. Field BlockID Dlambil dari TABLE CUSMDBLOCK

*PERHITUNGAN UPAH POKOK (C_PremiUpahPokok) :
1.UPAH POKOK /BASIS * TOTAL TBS.

*PERHITUNGAN PREMIBASIS (C_PremiBasis) :
1.KALO TBS LEBIH BESAR & SAMA DENGAN DARI BASIS DIA MENDAPATKAN 5.0000

*PERHITUNGAN PREMIOVERBASIS (C_PremiOverBasis) :
1. (TBS - BASIS ) * PREMI OVER BASIS

*PERHITUNGAN UPAHBRD (C_PremiUpahBRD) :
1.TARIF BRD * BRD

*PERHITUNGAN TOTALPREMI (C_TotalPremiPanen) :
1.(Total di hari biasa (TBS- BASIS) = HASIL * OverBasisBraket = Total). Total + upah pokok + Premi Basis = Hasilnya
2.Total Hari Libur ( jika hari libur/ hari Libur nasional TBS * premi overbasis)

Figure:
C_TotalPremiPanen
C_PremiUpahPokok
C_PremiBasis
C_PremiOverBasis
C_PremiUpahBRD

Terima kasih mba yomaa.
Port: http://remote.minovais.com:31137/

user : tri
pass : 123Aa

History

#1 - 11/30/2022 10:37 AM - Kezia Pawitra Yulianti
- Due date set to 12/02/2022
- Status changed from New to Assigned

- Priority changed from High to Urgent

#2 - 12/01/2022 09:52 AM - fernando sergio rumbayan
- File 06092022 _System Pengupahan Panen PT. BIA.xIsx added

Dear Mba yomma,

Ini data Excel Perhitungannya..
#3 - 12/01/2022 10:01 AM - fernando sergio rumbayan

Dear Mbaa yommaa,

Contoh Data nya pada EMPID : 06120011

#4 - 12/02/2022 05:20 PM - Tri Rizqgiaty
- File CBIATMTOPYPANENTARIF.sqgl added
- File MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll added

- Status changed from Assigned to Developing

Fixing :
1. Update API1\bin & API2\bin : MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll
2. Execute SP : CBIATMTOPYPANENTARIF.sql

#5 - 12/02/2022 05:20 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to fernando sergio rumbayan

Files

06092022_System Pengupahan Panen PT. BIA.xIsx 2.57 MB 12/01/2022 fernando sergio rumbayan

CBIATMTOPYPANENTARIF.sql 5.1 KB 12/02/2022 Tri Rizqiaty

MinovalS.MinovaES.Implementation.BIA.Business.TMToPYVari.dll 14.5 KB 12/02/2022 Tri Rizgiaty
